org.richfaces.component

## Class AbstractChartSeries

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractChartSeries

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    UISeries

      public abstract class AbstractChartSeries
      extends javax.faces.component.UIComponentBase

  The <rich:chartSeries> defines the data to be plotted in a chart. It represents the set of values with a common label. Data can be passed using attribute data. It expects ChartDataModel object. You can also use facelet iteration.
  Author:
    Lukas Macko

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AbstractChartSeries.SymbolType` Point symbols for line chart

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractChartSeries()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getColor()` Attribute define the color of data plotted.
    `abstract ChartDataModel` | `getData()` Data passed into chart.
    `abstract String` | `getLabel()` Description of data shown in a legend.
    `abstract String` | `getOnplotclick()` Javascript handler for plotclick event for this series only.
    `abstract String` | `getOnplothover()` Mouse over handler event for this series only.
    `abstract javax.el.MethodExpression` | `getPlotClickListener()` Server-side listener for plotclick event fired by this series only.
    `abstract AbstractChartSeries.SymbolType` | `getSymbol()` Point symbol for line chart Allowed values: circle square cross triangle diamond
    `abstract ChartDataModel.ChartType` | `getType()` The attributes define type of a chart.
    `abstract void` | `setPlotClickListener(javax.el.MethodExpression e)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractChartSeries

          public AbstractChartSeries()

  - ### Method Detail

    - #### getType

          public abstract ChartDataModel.ChartType getType()

      The attributes define type of a chart. Allowed values:
      - line
      - bar
      - pie

    - #### getSymbol

          public abstract AbstractChartSeries.SymbolType getSymbol()

      Point symbol for line chart Allowed values:
      - circle
      - square
      - cross
      - triangle
      - diamond

    - #### getLabel

          public abstract String getLabel()

      Description of data shown in a legend.

    - #### getData

          public abstract ChartDataModel getData()

      Data passed into chart. If attribute is null, nested <s:point> tags are expected - facelet iteration.

    - #### getColor

          public abstract String getColor()

      Attribute define the color of data plotted.

    - #### getOnplotclick

          public abstract String getOnplotclick()

      Javascript handler for plotclick event for this series only.

    - #### getOnplothover

          public abstract String getOnplothover()

      Mouse over handler event for this series only.

    - #### getPlotClickListener

          public abstract javax.el.MethodExpression getPlotClickListener()

      Server-side listener for plotclick event fired by this series only. Not implemented yet.

    - #### setPlotClickListener

          public abstract void setPlotClickListener(javax.el.MethodExpression e)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.